
QGIS Application - Bug report #6705

Arrow indicates attribute table is sorted by default by the first column.  It is not!

2012-11-15 07:50 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15870

Description

Open the attribute table for a shapefile layer.  The arrow in the header of the first column will indicate that the table is sorted by that

column.  But it is not.  It is sorted (I think) by FID.  This is misleading.

Note: I thought there was a ticket with a request to enable displaying FID in the first column in the attribute table.  That would fix this

problem, but I can't find any such ticket now.

Associated revisions

Revision 8653bb48 - 2015-11-22 03:35 PM - Matthias Kuhn 

Merge pull request #2493 from SebDieBln/AttrTableHideSortIndicator

Hide the sort indicator in the attribute table until first sort (fixes #6705)

History

#1 - 2012-11-16 12:42 AM - Alister Hood

Also affects 1.8 and probably earlier versions.

#2 - 2015-11-21 04:04 PM - Sebastian Dietrich

This appears to be a bug in Qt. When new data is shown in a table that was sorted before, the new data is not sorted but the sort indicator remains. In

QGIS sorting is enabled before the actual data is filled in, so this bug applies.

See PR 2493 for a workaround solution.

#3 - 2015-11-22 06:35 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"8653bb481253b937dcd3022851499528c0cbf865".
https://github.com/qgis/QGIS/pull/2493

